package digital.laboratory.platform.entrustment.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 委托送检中案情简要等内容的模板信息表
 * @TableName b_entrust_template_info
 */
@Data
@TableName(value ="b_entrust_template_info")
@ApiModel(value = "EntrustTemplateInfo", description = "委托送检中案情简要等内容的模板信息表")
public class EntrustTemplateInfo extends BaseEntity {
    /**
     * 主键id
     */
    @ApiModelProperty("id主键")
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 模板名称
     */
    @ApiModelProperty("模板名称")
    @NotBlank(message = "模板名称不能为空！")
    private String templateName;

    /**
     * 模板内容
     */
    @ApiModelProperty("模板内容")
    @NotBlank(message = "模板内容不能为空！")
    private String templateContent;

    /**
     * 模板类型，比如：0 - 案情简要
     */
    @ApiModelProperty("模板类型，比如：0 - 案情简要")
    @NotNull(message = "模板类型不能为空！")
    private Integer templateType;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
